Cygport Reference Manual

### TABLE OF CONTENTS

- utils.cygclass
- check_header
- check_lib

## utils.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

DESCRIPTION

This cygclass contains miscellaneous functions. Currently defined herein are:

- check_header
- check_lib
- check_pkg_config

## check_header

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      inherit utils
      check_header [-IDIRECTORY] [-IDIRECTORY2] ... HEADER [HEADER2] ...

DESCRIPTION

Checks for the presence of the given header(s). Directories can be added to the default include path by prefixing them with the -I flag. Returns TRUE if all libraries are found, else FALSE.

## check_lib

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      inherit utils
      check_lib [-LDIRECTORY] [-LDIRECTORY2] ... LIBRARY [LIBRARY2] ...

DESCRIPTION

Checks for the presence of the given library(ies). Directories can be added to the default library path by prefixing them with the -L flag. Returns TRUE if all libraries are found, else FALSE.